
'Yroot.Amp.NodeTypes:YouTube':
  superTypes:
    'Neos.Neos:Content': TRUE
    'Yroot.Amp.NodeTypes:BaseMixin': TRUE
    'Yroot.Amp:YouTubeMixin': TRUE

  ui:
    label: i18n
    icon: 'icon-youtube-play'
    position: 300
    inspector:
      groups:
        youtube:
          label: i18n
          position: 5
          icon: 'icon-youtube-play'
  properties:
    videoid:
      type: string
      ui:
        label: i18n
        reloadIfChanged: TRUE
        inspector:
          group: 'youtube'
          position: 10
    autoplay:
      type: boolean
      ui:
        label: i18n
        reloadIfChanged: TRUE
        inspector:
          group: 'youtube'
          position: 50
    height:
      defaultValue: 450
    width:
      defaultValue: 800
